<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div
    data-backdrop="static"
    data-keyboard="false"
    class="modal s--modal s--modal--400 s--modal-right animated fadeInRight"
    id="AddDealPayment"
  >
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h3 class="modal-title">
            <i class="icon-credit-card"></i>Thêm thanh toán
          </h3>
          <button
            @click.prevent="cancelAddNewPayment"
            type="button"
            class="close"
            data-dismiss="modal"
            aria-label="Close"
          >
            <span aria-hidden="true">
              <i class="la la-times"></i>
            </span>
          </button>
        </div>
        <div class="modal-body" data-scrollable="true" data-scrollbar-shown="true">
          <form class="m-form m-form--state">
            <div class="row">
              <div class="col-md-12">
                <div class="form-group m-form__group">
                  <label class="form-control-label nt-label">
                    Ngày thanh toán
                    <span class="m--font-danger">*</span>
                  </label>
                  <s-input-date
                    name="paymentDate"
                    id="paymentDate"
                    data-vv-scope="AddNewPayment"
                    v-model="Payment.date"
                    :not_before="orderDate"
                    v-validate="{ required: true }"
                  ></s-input-date>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-if="errors.has('AddNewPayment.paymentDate')"
                  >{{ errors.first('AddNewPayment.paymentDate') }}</div>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-else-if="!errors.has('AddNewPayment.paymentDate')"
                  >&nbsp;</div>
                </div>
                <div
                  class="form-group m-form__group"
                  :class="{ 'has-danger': errors.has('AddNewPayment.paymentPrice') || isPricePaymentMax || isRegexPrice || isPriceNotStartWith_0 }"
                >
                  <label for="paymentPrice" class="form-control-label nt-label">
                    Số tiền thanh toán
                    <span class="m--font-danger">*</span>
                  </label>
                  <s-input-price
                    name="paymentPrice"
                    id="paymentPrice"
                    data-vv-scope="AddNewPayment"
                    v-model="Payment.price"
                    :check_number="true"
                    v-validate="{ required: true, max: 20 }"
                  ></s-input-price>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-if="errors.has('AddNewPayment.paymentPrice')"
                  >{{ errors.first('AddNewPayment.paymentPrice') }}</div>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-else-if="isRegexPrice"
                  >Chỉ được điền ký tự từ 0 đến 9, và dấu âm "-".</div>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-else-if="isPriceNotStartWith_0"
                  >Số tiền thanh toán phải khác 0</div>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-else-if="isPricePaymentMax"
                  >Tổng tiền thanh toán nhỏ hơn hoặc bằng giá trị giao dịch.</div>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-else-if="!errors.has('AddNewPayment.paymentPrice')"
                  >&nbsp;</div>
                </div>

                <div
                  class="form-group m-form__group"
                  :class="{ 'has-danger': errors.has('AddNewPayment.paymentMethod') }"
                >
                  <label
                    for="paymentMethod"
                    class="form-control-label nt-label"
                  >Phương thức thanh toán</label>
                  <s-select
                    id="paymentMethod"
                    name="paymentMethod"
                    data-vv-scope="AddNewPayment"
                    :data="paymentMethod"
                    :label="'method'"
                    :value="paymentMethod.value"
                    :option_value="'value'"
                    v-model="Payment.payment_method"
                  ></s-select>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-if="errors.has('AddNewPayment.paymentMethod')"
                  >{{ errors.first('AddNewPayment.paymentMethod') }}</div>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-else-if="!errors.has('AddNewPayment.paymentMethod')"
                  >&nbsp;</div>
                </div>

                <div
                  class="form-group m-form__group"
                  :class="{ 'has-danger': errors.has('AddNewPayment.paymentVoucher') }"
                >
                  <label for="paymentVoucher" class="form-control-label nt-label">Mã chứng từ</label>
                  <s-input-text
                    id="paymentVoucher"
                    name="paymentVoucher"
                    data-vv-scope="AddNewPayment"
                    v-model="Payment.voucher"
                    v-validate="{ max: 250 }"
                  ></s-input-text>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-if="errors.has('AddNewPayment.paymentVoucher')"
                  >{{ errors.first('AddNewPayment.paymentVoucher') }}</div>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-else-if="!errors.has('AddNewPayment.paymentVoucher')"
                  >&nbsp;</div>
                </div>

                <!--<div class="form-group m-form__group" :class="{ 'has-danger': errors.has('AddNewPayment.paymentPayer') }">-->
                <!--<label for="paymentPayer" class="form-control-label nt-label"> Người thanh toán </label>-->
                <!--<s-input-text-->
                <!--id="paymentPayer"-->
                <!--name="paymentPayer"-->
                <!--data-vv-scope="AddNewPayment"-->
                <!--v-model="Payment.payer"-->
                <!--v-validate="{ max: 250 }"-->

                <!--&gt;</s-input-text>-->
                <!--<div class="form-control-feedback m&#45;&#45;font-danger" v-if="errors.has('AddNewPayment.paymentPayer')">{{ errors.first('AddNewPayment.paymentPayer') }}</div>-->
                <!--<div class="form-control-feedback m&#45;&#45;font-danger" v-else="!errors.has('AddNewPayment.paymentPayer')">&nbsp;</div>-->
                <!--</div>-->

                <!--<div class="form-group m-form__group" :class="{ 'has-danger': errors.has('AddNewPayment.paymentReceiver') }">-->
                <!--<label for="paymentReceiver" class="form-control-label nt-label">Người nhận tiền </label>-->
                <!--<s-input-text-->
                <!--id="paymentReceiver"-->
                <!--name="paymentReceiver"-->
                <!--data-vv-scope="AddNewPayment"-->
                <!--v-model="Payment.receiver"-->
                <!--v-validate="{ max: 250 }"-->
                <!--&gt;</s-input-text>-->
                <!--<div class="form-control-feedback m&#45;&#45;font-danger" v-if="errors.has('AddNewPayment.paymentReceiver')">{{ errors.first('AddNewPayment.paymentReceiver') }}</div>-->
                <!--<div class="form-control-feedback m&#45;&#45;font-danger" v-else="!errors.has('AddNewPayment.paymentReceiver')">&nbsp;</div>-->
                <!--</div>-->

                <div
                  class="form-group m-form__group"
                  :class="{ 'has-danger': errors.has('AddNewPayment.paymentNote') }"
                >
                  <label for="paymentNote" class="form-control-label nt-label">Ghi chú</label>
                  <s-textarea
                    id="paymentNote"
                    name="paymentNote"
                    data-vv-scope="AddNewPayment"
                    v-model="Payment.note"
                    v-validate="{ max: 1025 }"
                  ></s-textarea>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-if="errors.has('AddNewPayment.paymentNote')"
                  >{{ errors.first('AddNewPayment.paymentNote') }}</div>
                  <div
                    class="form-control-feedback m--font-danger"
                    v-else-if="!errors.has('AddNewPayment.paymentNote')"
                  >&nbsp;</div>
                </div>
              </div>
            </div>
          </form>
        </div>

        <div class="modal-footer payment-history-price">
          <div class="container-fluid">
            <div class="row no-gutters money-paid">
              <div class="col-md-12 mb-2">
                <div class="money-paid_price">
                  <p>Tổng tiền đã thanh toán:</p>
                  <p>
                    <span class="text-right">{{ helpers.formatPrice(currentTotalPricePaid) }}</span>
                  </p>
                </div>
              </div>
            </div>
            <div class="row no-gutters money-in-remain">
              <div class="col-md-12">
                <div class="money-paid_price">
                  <p>Số tiền còn phải thanh toán:</p>
                  <p>
                    <span class="text-right">{{ helpers.formatPrice(currentTotalPriceRemain) }}</span>
                  </p>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div class="modal-footer">
          <button
            @click.prevent="cancelAddNewPayment"
            type="button"
            class="nt-button nt-button-secondary mr-2 m-btn--custom-close"
            data-dismiss="modal"
          >Hủy bỏ</button>
          <button
            type="submit"
            class="nt-button nt-button-warning mr-0 m-btn m-btn--custom-submit"
            @click="addNewPayment('AddNewPayment')"
            :class="{'nt-button-disabled': errors.any() || isPricePaymentMax || isRegexPrice || isPriceNotStartWith_0 || isDealCompleteOrCancel }"
            :disabled="errors.any() || isPricePaymentMax || isRegexPrice || isPriceNotStartWith_0 || isDealCompleteOrCancel"
          >Lưu lại</button>
        </div>
      </div>
    </div>
    <div
      class="m--loading-edit"
      v-if="isBtnLoading || isDealCompleteOrCancel"
      style="position: absolute;height: 100%;width: 400px;top: 0px;right: 0px;background: #ffffff94;"
    >
      <div
        class="m-loader m-loader--brand m-loader--lg"
        style="width: 30px; height: 30px; display: inline-block; position: absolute;top: 50%;left: 50%;transform: translate(-50%, -50%);"
      ></div>
    </div>
  </div>
</template>
